## ATAN Inverse Trigonometric Arctangent Function

Section: Mathematical Functions

### Usage

Computes the `atan` function for its argument. The general syntax for its use is

      y = atan(x)

where `x` is an `n`-dimensional array of numerical type. Integer types are promoted to the `double` type prior to calculation of the `atan` function. Output `y` is of the same size and type as the input `x`, (unless `x` is an integer, in which case `y` is a `double` type).

### Function Internals

Mathematically, the `atan` function is defined for all arguments `x` as

For real valued variables `x`, the function is computed directly using the standard C library's numerical `atan` function. For both real and complex arguments `x`, note that generally

due to the periodicity of `tan(x)`.

### Example

The following code demonstates the `atan` function over the range `[-1,1]`.

    --> t = linspace(-1,1);
    --> plot(t,atan(t))